{
    allowedItemIdentifiers = (
        DrawingMode, BringToFront, SendToBack, Lock, Unlock, Group, Ungroup, ShowInfo, ShowSelection, ShowPalette, 
        LayoutGraph, LayoutSelection, SnapToGrid, NSToolbarShowFontsItem, NSToolbarShowColorsItem, NSToolbarPrintItem, OSAScriptTemplate,
        NSToolbarSeparatorItem, NSToolbarSpaceItem, NSToolbarFlexibleSpaceItem, NSToolbarCustomizeToolbarItem
    ); 
    defaultItemIdentifiers = (
        DrawingMode, ShowInfo, ShowSelection, ShowPalette, NSToolbarSeparatorItem,
        BringToFront, SendToBack, Lock, Unlock
    ); 
    itemInfoByIdentifier = {
        BringToFront = {
            action = "bringToFront:"; 
            imageName = BringToFront; 
            label = Front; 
            paletteLabel = "Bring to Front"; 
            toolTip = "Bring to Front";
            target = firstResponder;
        }; 
        SendToBack = {
            action = "sendToBack:"; 
            imageName = SendToBack; 
            label = Back; 
            paletteLabel = "Send To Back"; 
            toolTip = "Send to Back"; 
            target = firstResponder;
        }; 
        Lock = {
            action = "lock:"; 
            imageName = Locked; 
            label = Lock; 
            paletteLabel = "Lock"; 
            toolTip = "Lock"; 
            target = firstResponder;
        }; 
        Unlock = {
            action = "unlock:"; 
            imageName = Unlocked; 
            label = "Unlock"; 
            paletteLabel = "Unlock"; 
            toolTip = "Unlock"; 
            target = firstResponder;
        }; 
        Group = {
            action = "group:"; 
            imageName = Group; 
            label = "Group"; 
            paletteLabel = "Group"; 
            toolTip = "Group"; 
            target = firstResponder;
        }; 
        Ungroup = {
            action = "ungroup:"; 
            imageName = Ungroup; 
            label = "Ungroup"; 
            paletteLabel = "Ungroup"; 
            toolTip = "Ungroup"; 
            target = firstResponder;
        }; 
        SnapToGrid = {
            action = "toggleSnapsToGrid:"; 
            imageName = SnapToGrid; 
            label = "Snap"; 
            paletteLabel = "Snap To Grid"; 
            toolTip = "Toggle Snap To Grid"; 
            target = firstResponder;
        }; 
        ShowInfo = {
            action = "showInspectorPanelAction:"; 
            imageName = inspectorButton; 
            label = "Info"; 
            paletteLabel = "Info"; 
            toolTip = "Show Info"; 
            target = firstResponder;
        }; 
        ShowSelection = {
            action = "showSelectionPanelAction:"; 
            imageName = selectionButton; 
            label = "Selection"; 
            paletteLabel = "Selection Panel"; 
            toolTip = "Show Selection Panel"; 
            target = firstResponder;
        }; 
       LayoutGraph = {
            action = "autoLayout:"; 
            imageName = AutoLayout; 
            label = "Layout"; 
            paletteLabel = "Layout Graph"; 
            toolTip = "Auto Layout Entire Graph"; 
            target = firstResponder;
        }; 
        LayoutSelection = {
            action = "autoLayoutSelection:"; 
            imageName = AutoLayoutSelection; 
            label = "Layout"; 
            paletteLabel = "Layout Selection"; 
            toolTip = "Auto Layout Current Selection"; 
            target = firstResponder;
        }; 
        
        ShowPalette = {
            action = "showPaletteWindowAction:"; 
            imageName = palettesButton;
            label = "Palettes";
            paletteLabel = "Show Palette Window"; 
            toolTip = "Show Palette Window"; 
            target = firstResponder;
        }; 
        
        DrawingMode = {
            paletteLabel = "Drawing Mode";
            label = "Drawing Mode";
        };

        OSAScriptTemplate = {
            label = "%@";
            paletteLabel = "Script: %@";
            toolTip = "Run AppleScript \"%@\"";
        };
   }; 
}